Segments
Create segment
Create a niche with your storefront setup.
POST
/segmentssegments:writeRequest
namestring · bodySegment name.mandatoryslugstring · bodyPublic slug.optionaldescriptionstring · bodyDescription.optionalstore_namestring · bodyStorefront name.optionalstore_taglinestring · bodyPhrase from the window.optionalstore_colorstring · bodyMain color.optionalauto_expandboolean · bodyEnables automatic expansion.optionaldistributionstring · bodyDistribution strategy.optionalwaitlistboolean · bodyActivates queue.optionalExample
curl
curl -X POST 'https://achadu.com/api/v1/segments' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"name": "My integration",
"slug": "string",
"description": "string",
"store_name": "string"
}'Answer
201Resource created4xxError with code, message and request_id